// AsynchDemoDll.idl : IDL source for AsynchDemoDll.dll
//

// This file will be processed by the MIDL tool to
// produce the type library (AsynchDemoDll.tlb) and marshalling code.

import "oaidl.idl";
import "ocidl.idl";
	[
		object,
		uuid(1E007E4C-A2C0-46B3-94D6-5346969F9183),
		async_uuid(1E007E4D-A2C0-46B3-94D6-5346969F9183),
	
		helpstring("IChap10Demo Interface"),
		pointer_default(unique)
	]
	interface IChap10Demo : IUnknown
	{
		[helpstring("method DoSomething")] HRESULT DoSomething([in] long InputParm, [out, retval] long *pOutputParm);
	};

[
	uuid(7FAB8EAF-9D0F-4D4C-8CFC-FE63FC04DAD6),
	version(1.0),
	helpstring("AsynchDemoDll 1.0 Type Library")
]
library ASYNCHDEMODLLLib
{
	importlib("stdole32.tlb");
	importlib("stdole2.tlb");

	[
		uuid(03A14C28-DA29-477F-A3CE-3B4381119AA7),
		helpstring("Chap10Demo Class")
	]
	coclass Chap10Demo
	{
		[default] interface IChap10Demo;
		interface ASyncIChap10Demo ;
	};
};
